Subject: Re: [PATCH 0/1] commit-graph: drop top-level --[no-]progress

From: Jeff King <[email-masked]>
Date: Mon, 20 Sep 2021 23:55:17 -0400

On Mon, Sep 20, 2021 at 02:24:04PM -0700, Junio C Hamano wrote:

> Taylor Blau <[email-masked]> writes:
> 
> > An open question is whether the same should be done for the multi-pack-index
> > command, whose top-level support for `--[no-]progress` was released in v2.32.0
> > with 60ca94769c (builtin/multi-pack-index.c: split sub-commands, 2021-03-30).
> 
> We do not mind too much about "breaking backward compatibility" by
> removing the mistaken "git multi-pack-index --progress cmd", I would
> say.  It's not like people would type it once every day and removing
> the "support" will break their finger-memory.

Just to play devil's advocate: it is possible that somebody scripted it,
since it is after all a pretty plumbing-ish command.

I do find it somewhat unlikely, though, given how little time it has
been around, how unlike the rest of Git it is, and how odd it seems for
scripts to ask for --progress (though maybe --no-progress is more
likely?).

So I'm OK with it, but I think "finger-memory" is not the whole story.

-Peff